package com.xinelu.manage.service.questionsubject;

import com.xinelu.manage.domain.questionsubject.QuestionSubject;

import java.util.List;


/**
 * 问卷题目信息Service接口
 *
 * @author xinelu
 * @date 2024-02-29
 */
public interface IQuestionSubjectService {
    /**
     * 查询问卷题目信息
     *
     * @param id 问卷题目信息主键
     * @return 问卷题目信息
     */
    QuestionSubject selectQuestionSubjectById(Long id);

    /**
     * 查询问卷题目信息列表
     *
     * @param questionSubject 问卷题目信息
     * @return 问卷题目信息集合
     */
    List<QuestionSubject> selectQuestionSubjectList(QuestionSubject questionSubject);

    /**
     * 新增问卷题目信息
     *
     * @param questionSubject 问卷题目信息
     * @return 结果
     */
    int insertQuestionSubject(QuestionSubject questionSubject);

    /**
     * 修改问卷题目信息
     *
     * @param questionSubject 问卷题目信息
     * @return 结果
     */
    int updateQuestionSubject(QuestionSubject questionSubject);

    /**
     * 批量删除问卷题目信息
     *
     * @param ids 需要删除的问卷题目信息主键集合
     * @return 结果
     */
    int deleteQuestionSubjectByIds(Long[] ids);

    /**
     * 删除问卷题目信息信息
     *
     * @param id 问卷题目信息主键
     * @return 结果
     */
    int deleteQuestionSubjectById(Long id);
}
